# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class RunCommandRequest(JDCloudRequest):
    """
    
执行用户保存的自定义命令。

详细操作说明请参考帮助文档：[用户自定义命令概述](https://docs.jdcloud.com/cn/virtual-machines/assistant-overview)

## 接口说明
- 该接口用于执行用户保存的自定义命令。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(RunCommandRequest, self).__init__(
            '/regions/{regionId}/runCommand', 'POST', header, version)
        self.parameters = parameters


class RunCommandParameters(object):

    def __init__(self,regionId, commandName, commandContent, instances, ):
        """
        :param regionId: 地域ID。
        :param commandName: 命令名称，长度为1\~128个字符，只允许中文、数字、大小写字母、英文下划线（\_）、连字符（-）及点（.）。

        :param commandContent: 以base64编码的命令内容，编码后长度小于16KB

        :param instances: 运行该命令的云主机，最多云主机数为50.

        """

        self.regionId = regionId
        self.commandName = commandName
        self.commandType = None
        self.commandContent = commandContent
        self.windowsPassword = None
        self.instances = instances
        self.timeout = None
        self.username = None
        self.workdir = None
        self.enableParameter = None
        self.keepCommand = None
        self.commandDescription = None
        self.parameters = None

    def setCommandType(self, commandType):
        """
        :param commandType: (Optional) 命令类型，可选值：shell和powershell。默认shell

        """
        self.commandType = commandType

    def setWindowsPassword(self, windowsPassword):
        """
        :param windowsPassword: (Optional) 和用户名相匹配的密码，仅适用于windows系统

        """
        self.windowsPassword = windowsPassword

    def setTimeout(self, timeout):
        """
        :param timeout: (Optional) 超时时间，取值范围：[10, 86400], 超过该时间后，尚未执行完的命令会置为失败。默认60s

        """
        self.timeout = timeout

    def setUsername(self, username):
        """
        :param username: (Optional) 用户名，执行该命令时的用户身份。在linux上默认是root，windows上默认是administrator。长度小于256

        """
        self.username = username

    def setWorkdir(self, workdir):
        """
        :param workdir: (Optional) 命令执行路径，在linux上默认为用户的home目录：/root, 在windows上默认为：C:\Windows\system32

        """
        self.workdir = workdir

    def setEnableParameter(self, enableParameter):
        """
        :param enableParameter: (Optional) 脚本中是否启用参数，true：启用，false：不启用。

        """
        self.enableParameter = enableParameter

    def setKeepCommand(self, keepCommand):
        """
        :param keepCommand: (Optional) 是否保存命令，true：保存，false：不保存

        """
        self.keepCommand = keepCommand

    def setCommandDescription(self, commandDescription):
        """
        :param commandDescription: (Optional) 命令描述，描述该命令详细信息，如功能、使用注意事项等。长度小于256。

        """
        self.commandDescription = commandDescription

    def setParameters(self, parameters):
        """
        :param parameters: (Optional) 用户自定义参数和对应的参数值，数量不超过20个。

        """
        self.parameters = parameters

