# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class StopInvocationRequest(JDCloudRequest):
    """
    
停止执行命令。

详细操作说明请参考帮助文档：[用户自定义命令概述](https://docs.jdcloud.com/cn/virtual-machines/assistant-overview)

## 接口说明
- 该接口用于停止执行命令。
- 对于已经开始执行的命令，有可能会停止失败

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(StopInvocationRequest, self).__init__(
            '/regions/{regionId}/stopInvocation', 'POST', header, version)
        self.parameters = parameters


class StopInvocationParameters(object):

    def __init__(self,regionId, invokeId, instances):
        """
        :param regionId: 地域ID。
        :param invokeId: 命令调用Id

        :param instances: 要停止执行的虚机Id
        """

        self.regionId = regionId
        self.invokeId = invokeId
        self.instances = instances

