# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class VpnTunnel(object):

    def __init__(self, vpnTunnelId=None, vpnConnectionId=None, cloudPublicIp=None, customerIp=None, psk=None, localId=None, remoteId=None, localIp=None, localTunnelIp=None, remoteIp=None, remoteTunnelIp=None, tunnelIp=None, ikeVersion=None, ikeMode=None, ikeKeyExchange=None, ikeCipher=None, ikeAuth=None, ikeDpdSec=None, ikeSaLifeSec=None, ipsecCipher=None, ipsecAuth=None, ipsecKeyExchange=None, ipsecSaLifeSec=None, ipsecSaLifepkt=None, ipsecSaLifebyte=None, adminStatus=None, opStatus=None, createdTime=None, updatedTime=None, bandwidthMbps=None):
        """
        :param vpnTunnelId: (Optional) VPN隧道ID
        :param vpnConnectionId: (Optional) VPN连接ID
        :param cloudPublicIp: (Optional) VPN本地IP
        :param customerIp: (Optional) 客户IP
        :param psk: (Optional) 预共享秘钥字符串
        :param localId: (Optional) 本地身份验证标识
        :param remoteId: (Optional) 远程身份验证标识
        :param localIp: (Optional) VPN隧道的本地网关IP
        :param localTunnelIp: (Optional) VPN隧道的本地网关IP
        :param remoteIp: (Optional) VPN隧道的远端网关IP
        :param remoteTunnelIp: (Optional) VPN隧道的远端网关IP
        :param tunnelIp: (Optional) VPN隧道的网段,CIDR格式
        :param ikeVersion: (Optional) IKE版本
        :param ikeMode: (Optional) IKE模式
        :param ikeKeyExchange: (Optional) IKE协商秘钥交换算法
        :param ikeCipher: (Optional) IKE协商加密算法
        :param ikeAuth: (Optional) IKE协商认证算法
        :param ikeDpdSec: (Optional) IKE协商DPD（dead peer detection）是否启用
        :param ikeSaLifeSec: (Optional) IKE SA的存活时间
        :param ipsecCipher: (Optional) IKE child的加密算法
        :param ipsecAuth: (Optional) IKE child的验证算法
        :param ipsecKeyExchange: (Optional) IKE child的秘钥交换算法
        :param ipsecSaLifeSec: (Optional) IKE child SA的存活时间
        :param ipsecSaLifepkt: (Optional) IKE child SA的存活报文数
        :param ipsecSaLifebyte: (Optional) IKE child SA的存活字节数
        :param adminStatus: (Optional) 隧道管理状态, UP或DOWN
        :param opStatus: (Optional) 隧道活跃状态, UP或DOWN
        :param createdTime: (Optional) 隧道创建时间
        :param updatedTime: (Optional) 隧道最后更新时间
        :param bandwidthMbps: (Optional) VPN隧道公网限速带宽，单位Mbps
        """

        self.vpnTunnelId = vpnTunnelId
        self.vpnConnectionId = vpnConnectionId
        self.cloudPublicIp = cloudPublicIp
        self.customerIp = customerIp
        self.psk = psk
        self.localId = localId
        self.remoteId = remoteId
        self.localIp = localIp
        self.localTunnelIp = localTunnelIp
        self.remoteIp = remoteIp
        self.remoteTunnelIp = remoteTunnelIp
        self.tunnelIp = tunnelIp
        self.ikeVersion = ikeVersion
        self.ikeMode = ikeMode
        self.ikeKeyExchange = ikeKeyExchange
        self.ikeCipher = ikeCipher
        self.ikeAuth = ikeAuth
        self.ikeDpdSec = ikeDpdSec
        self.ikeSaLifeSec = ikeSaLifeSec
        self.ipsecCipher = ipsecCipher
        self.ipsecAuth = ipsecAuth
        self.ipsecKeyExchange = ipsecKeyExchange
        self.ipsecSaLifeSec = ipsecSaLifeSec
        self.ipsecSaLifepkt = ipsecSaLifepkt
        self.ipsecSaLifebyte = ipsecSaLifebyte
        self.adminStatus = adminStatus
        self.opStatus = opStatus
        self.createdTime = createdTime
        self.updatedTime = updatedTime
        self.bandwidthMbps = bandwidthMbps
