# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class VerifyTokenRequest(JDCloudRequest):
    """
    验证verifyToken
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(VerifyTokenRequest, self).__init__(
            '/captcha:verifytoken', 'POST', header, version)
        self.parameters = parameters


class VerifyTokenParameters(object):

    def __init__(self, ):
        """
        """

        self.verifyToken = None
        self.sessionId = None
        self.appId = None
        self.sceneId = None
        self.secret = None
        self.ip = None
        self.userAgent = None
        self.clientType = None
        self.clientVersion = None

    def setVerifyToken(self, verifyToken):
        """
        :param verifyToken: (Optional) 提交后台校验的token，客户端sdk获取
        """
        self.verifyToken = verifyToken

    def setSessionId(self, sessionId):
        """
        :param sessionId: (Optional) 验证码会话id，getsessionid返回
        """
        self.sessionId = sessionId

    def setAppId(self, appId):
        """
        :param appId: (Optional) 应用id
        """
        self.appId = appId

    def setSceneId(self, sceneId):
        """
        :param sceneId: (Optional) 场景id
        """
        self.sceneId = sceneId

    def setSecret(self, secret):
        """
        :param secret: (Optional) 密钥，从界面获取
        """
        self.secret = secret

    def setIp(self, ip):
        """
        :param ip: (Optional) 客户端ip
        """
        self.ip = ip

    def setUserAgent(self, userAgent):
        """
        :param userAgent: (Optional) 客户端userAgent
        """
        self.userAgent = userAgent

    def setClientType(self, clientType):
        """
        :param clientType: (Optional) 客户端类型, 可选值: android, ios, pc, wxapp, m
        """
        self.clientType = clientType

    def setClientVersion(self, clientVersion):
        """
        :param clientVersion: (Optional) 客户端版本，用户端app版本，可选
        """
        self.clientVersion = clientVersion

