# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ImageScanV2Request(JDCloudRequest):
    """
    图片同步检测v2
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ImageScanV2Request, self).__init__(
            '/image:scanv2', 'POST', header, version)
        self.parameters = parameters


class ImageScanV2Parameters(object):

    def __init__(self, ):
        """
        """

        self.images = None
        self.version = None
        self.bizType = None
        self.checkLabels = None

    def setImages(self, images):
        """
        :param images: (Optional) 指定检测场景
        """
        self.images = images

    def setVersion(self, version):
        """
        :param version: (Optional) 接口版本v4.1
        """
        self.version = version

    def setBizType(self, bizType):
        """
        :param bizType: (Optional) 业务bizType，请联系客户经理获取
        """
        self.bizType = bizType

    def setCheckLabels(self, checkLabels):
        """
        :param checkLabels: (Optional) 接口指定过检分类，可多选，过检分类列表：100：色情，110：性感低俗，200：广告，210：二维码，260：广告法，300：暴恐，400：违禁，500：涉政，800：恶心类，900：其他，1100：涉价值观响应结果
        """
        self.checkLabels = checkLabels

