# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class IDCardRequest(JDCloudRequest):
    """
    个人身份证OCR
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(IDCardRequest, self).__init__(
            '/ocr:IDCard', 'POST', header, version)
        self.parameters = parameters


class IDCardParameters(object):

    def __init__(self,imageData, side):
        """
        :param imageData: 身份证图像base64(支持base64编码后小于4M，分辨率不高于4096x4096的图像)
        :param side: front：身份证含照片的一面
back：身份证带国徽的一面
自动检测身份证正反面，如果传参指定方向与图片相反，支持正常识别，返回参数image_status字段为"reversed_side"

        """

        self.imageData = imageData
        self.side = side

