# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class BatchOperateTasksRequest(JDCloudRequest):
    """
    批量操作数据传输任务
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(BatchOperateTasksRequest, self).__init__(
            '/regions/{regionId}/dtsbatch', 'POST', header, version)
        self.parameters = parameters


class BatchOperateTasksParameters(object):

    def __init__(self,regionId, ):
        """
        :param regionId: 地域代码，取值范围参见[《各地域及可用区对照表》]
        """

        self.regionId = regionId
        self.operateType = None
        self.ids = None

    def setOperateType(self, operateType):
        """
        :param operateType: (Optional) 操作类型：start - 启动任务，stop - 停止任务，delete - 删除任务，resume - 恢复任务，suspend - 暂停任务
        """
        self.operateType = operateType

    def setIds(self, ids):
        """
        :param ids: (Optional) 任务ID列表
        """
        self.ids = ids

