# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class TransmissionTaskAttribute(object):

    def __init__(self, taskId=None, taskName=None, vpc=None, subnet=None, transmissionMethod=None, topology=None, instanceClass=None, phase=None, charge=None, createTime=None, status=None, source=None, destination=None, tags=None, transmissionMode=None, destExecutionStrategy=None, options=None, customOptions=None, checkpoint=None, startCheckPoint=None):
        """
        :param taskId: (Optional) 数据传输任务ID
        :param taskName: (Optional) 数据传输任务名称
        :param vpc: (Optional) vpc
        :param subnet: (Optional) 
        :param transmissionMethod: (Optional) 实例类型，取值为：Sync：同步、Subscribe：订阅、Migration：迁移、DisasterRecovery 灾备
        :param topology: (Optional) 数据传输拓扑，支持：oneway - 单向数据传输、bidirectional - 双向数据传输，默认取值为：oneway
        :param instanceClass: (Optional) 数据传输实例规格，支持：dts.m1.medium、dts.m1.large、dts.m1.xlarge
        :param phase: (Optional) 数据传输任务所处阶段及描述
        :param charge: (Optional) 计费配置
        :param createTime: (Optional) 创建时间
        :param status: (Optional) Creating - 创建中 CreateFailed - 创建失败 NotStarted - 未启动 Modifying - 修改同步对象中 ModifyFailed - 修改同步对象失败 PreChecking - 预检查中 PreCheckFailed - 预检查失败 PreCheckSucceed - 预检查成功 Initializing - 任务初始化中 InitializeFailed - 任务初始化中失败 Running - 运行中 Failed - 同步失败 Suspending - 暂停 Retrying - 重试中 Expired - 锁定中 Finished - 结束 Deleting - 删除中 Deleted - 删除
        :param source: (Optional) 源实例信息
        :param destination: (Optional) 目标实例信息
        :param tags: (Optional) 标签信息
        :param transmissionMode: (Optional) 数据传输初始化类型
        :param destExecutionStrategy: (Optional) 目标端执行策略：MySQL：mysql-replace-engine（覆盖写入）、conflict-detect-engine（冲突报错）；MongoDB：conflict-replace、conflict-detect
        :param options: (Optional) 自定义设置
        :param customOptions: (Optional) 任务自定义设置
        :param checkpoint: (Optional) 数据传输任务检查点
        :param startCheckPoint: (Optional) 数据传输任务检查点
        """

        self.taskId = taskId
        self.taskName = taskName
        self.vpc = vpc
        self.subnet = subnet
        self.transmissionMethod = transmissionMethod
        self.topology = topology
        self.instanceClass = instanceClass
        self.phase = phase
        self.charge = charge
        self.createTime = createTime
        self.status = status
        self.source = source
        self.destination = destination
        self.tags = tags
        self.transmissionMode = transmissionMode
        self.destExecutionStrategy = destExecutionStrategy
        self.options = options
        self.customOptions = customOptions
        self.checkpoint = checkpoint
        self.startCheckPoint = startCheckPoint
