# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateAliasRequest(JDCloudRequest):
    """
    创建别名
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreateAliasRequest, self).__init__(
            '/regions/{regionId}/functions/{functionName}/aliases', 'POST', header, version)
        self.parameters = parameters


class CreateAliasParameters(object):

    def __init__(self, regionId, functionName, aliasName, ):
        """
        :param regionId: Region ID
        :param functionName: 别名所属函数名称
        :param aliasName: 别名名称
        """

        self.regionId = regionId
        self.functionName = functionName
        self.aliasName = aliasName
        self.description = None
        self.version = None

    def setDescription(self, description):
        """
        :param description: (Optional) 别名描述信息
        """
        self.description = description

    def setVersion(self, version):
        """
        :param version: (Optional) 别名对应的版本名称
        """
        self.version = version

