# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CollectorReadMessageRequest(JDCloudRequest):
    """
    获取协议信息
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(CollectorReadMessageRequest, self).__init__(
            '/regions/{regionId}/loongrayinstances/{instanceId}/readCollectorProperty', 'GET', header, version)
        self.parameters = parameters


class CollectorReadMessageParameters(object):

    def __init__(self, instanceId, regionId, identifier, protocol):
        """
        :param instanceId: Hub实例Id
        :param regionId: 区域Id
        :param identifier: 当前的链接码
        :param protocol: 当前的协议类型：
语音播报控制器-输入端子,0X00000~X0007：inputTerminal
语音播报控制器-播放信息,0X00024~X0027：playInfo
LR001-516-5B边缘数据采集器-传感器管理：sensor
LR001-516-5B边缘数据采集器-采集器属性：collectorProperty
LR001-516-5B边缘数据采集器-电梯属性：elevatorProperty
LR001-516-5A边缘数据采集器-水质酸碱度(PH)：waterQualityPh
LR001-516-5A水质监测采集器-水质电导率：waterQualityElectroConductivity

        """

        self.instanceId = instanceId
        self.regionId = regionId
        self.identifier = identifier
        self.protocol = protocol

