# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class InstanceInfoAsAdminVO(object):

    def __init__(self, instanceId=None, name=None, userPin=None, subnetId=None, subNetName=None, vpcId=None, vpcName=None, azName=None, pubDomain=None, priDomain=None, createTime=None, endTime=None, deleteTime=None, description=None, regionId=None, regionName=None, replicaNum=None, maxDevices=None, maxMessages=None, rdsInstanceId=None, rdsDatabase=None, rdsHostName=None, rdsUserName=None, rdsPasswd=None, iothubAgentId=None, iothubStatus=None):
        """
        :param instanceId: (Optional) IoT Hub实例编号
        :param name: (Optional) IoT Hub实例名称
        :param userPin: (Optional) 创建实例的主Pin信息
        :param subnetId: (Optional) IoT Hub实例所属子网编号
        :param subNetName: (Optional) IoT Hub实例所属子网名称
        :param vpcId: (Optional) IoT Hub实例所属VPC编号
        :param vpcName: (Optional) IoT Hub实例所属VPC名称
        :param azName: (Optional) IoT Hub实例所属可用区名称[格式为可用区名称1@可用区名称2]
        :param pubDomain: (Optional) IoT Hub实例提供的公网域名
        :param priDomain: (Optional) IoT Hub实例提供的内网域名
        :param createTime: (Optional) IoT Hub实例创建时间
        :param endTime: (Optional) IoT Hub实例到期时间
        :param deleteTime: (Optional) IoT Hub实例删除时间
        :param description: (Optional) IoT Hub实例描述
        :param regionId: (Optional) IoT Hub实例所属Region编号
        :param regionName: (Optional) IoT Hub实例所属Region名称
        :param replicaNum: (Optional) IoT Hub实例中单AZ容器节点数量[每增加1个节点，会在两个AZ下各添加一个容器]
        :param maxDevices: (Optional) 支持最大在线设备数量
        :param maxMessages: (Optional) 最大支持消息数量
        :param rdsInstanceId: (Optional) IoT Hub实例依赖数据库实例编号
        :param rdsDatabase: (Optional) IoT Hub实例依赖数据库库名
        :param rdsHostName: (Optional) IoT Hub实例依赖数据库内网域名
        :param rdsUserName: (Optional) IoT Hub实例依赖数据库用户名
        :param rdsPasswd: (Optional) IoT Hub实例依赖数据库密码
        :param iothubAgentId: (Optional) IoT Hub实例使用的Agent编号[如已删除则为空]
        :param iothubStatus: (Optional) IoT Hub实例状态：
  0-IOTHUB_AND_AGENT_RUNNING
  1-IOTHUB_RUNNING
  2-IOTHUB_SUSPEND
  3-IOTHUB_TO_BE_DELETED
  4-IOTHUB_UPDATING
  11-CREATE_PARAMETER_GROUP_SUCCESS
  12-CREATE_PARAMETER_GROUP_FAIL
  13-CREATE_AGENT_SUCCESS
  14-CREATE_AGENT_FAIL
  15-CREATE_MYSQL_SUCCESS
  16-AGENT_JVESSEL_RUNNING
  17-AGENT_RUNNING
  18-MYSQL_RUNNING
  21-CREATE_DATABASE_SUCCESS
  22-CREATE_DATABASE_FAIL
  31-CREATE_ACCOUNT_SUCCESS
  32-CREATE_ACCOUNT_FAIL
  41-GRANT_PRIVILEGE_SUCCESS
  42-GRANT_PRIVILEGE_FAIL
  51-WAIT_INIT_DATABASE
  52-INIT_DATABASE_SUCCESS
  53-INIT_DATABASE_FAIL
  61-DEL_AGENT_SUCCESS
  62-DEL_AGENT_FAIL
  71-WAIT_CREATE_IOTHUB
  72-CREATE_IOTHUB_SUCCESS
  73-CREATE_IOTHUB_JVESSEL_RUNNING
  74-CREATE_IOTHUB_RUNNING
  75-IOTHUB_USER_PIN_SIGNUP
  79-CREATE_IOTHUB_FAIL

        """

        self.instanceId = instanceId
        self.name = name
        self.userPin = userPin
        self.subnetId = subnetId
        self.subNetName = subNetName
        self.vpcId = vpcId
        self.vpcName = vpcName
        self.azName = azName
        self.pubDomain = pubDomain
        self.priDomain = priDomain
        self.createTime = createTime
        self.endTime = endTime
        self.deleteTime = deleteTime
        self.description = description
        self.regionId = regionId
        self.regionName = regionName
        self.replicaNum = replicaNum
        self.maxDevices = maxDevices
        self.maxMessages = maxMessages
        self.rdsInstanceId = rdsInstanceId
        self.rdsDatabase = rdsDatabase
        self.rdsHostName = rdsHostName
        self.rdsUserName = rdsUserName
        self.rdsPasswd = rdsPasswd
        self.iothubAgentId = iothubAgentId
        self.iothubStatus = iothubStatus
