# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class GetMostSuitableImageCacheRequest(JDCloudRequest):
    """
    根据镜像信息匹配镜像缓存，根据镜像缓存的体积（体积小的优先）和创建时间（创建时间晚的优先）进行匹配

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(GetMostSuitableImageCacheRequest, self).__init__(
            '/regions/{regionId}/imageCache:getMostSuitable', 'GET', header, version)
        self.parameters = parameters


class GetMostSuitableImageCacheParameters(object):

    def __init__(self,regionId, image, ):
        """
        :param regionId: Region ID
        :param image: 镜像名称

        """

        self.regionId = regionId
        self.image = image
        self.secret = None
        self.size = None

    def setSecret(self, secret):
        """
        :param secret: (Optional) 镜像仓库认证信息；使用Docker Hub和京东云CR的镜像不需要secret

        """
        self.secret = secret

    def setSize(self, size):
        """
        :param size: (Optional) 限制返回的镜像缓存的大小不大于该值，用于避免镜像缓存大于系统盘导致创建失败的情况。

        """
        self.size = size

