# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UpdateIndividualFilterRequest(JDCloudRequest):
    """
    更新一个现有的筛选器。
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(UpdateIndividualFilterRequest, self).__init__(
            '/zones/{zone_identifier}/filters/{id}', 'PUT', header, version)
        self.parameters = parameters


class UpdateIndividualFilterParameters(object):

    def __init__(self,zone_identifier, id, ):
        """
        :param zone_identifier: 
        :param id: 
        """

        self.zone_identifier = zone_identifier
        self.id = id
        self.expression = None
        self.paused = None
        self.description = None
        self.ref = None

    def setExpression(self, expression):
        """
        :param expression: (Optional) 要使用的筛选器表达式
        """
        self.expression = expression

    def setPaused(self, paused):
        """
        :param paused: (Optional) 此筛选器当前是否已暂停
        """
        self.paused = paused

    def setDescription(self, description):
        """
        :param description: (Optional) 可用于描述过滤器用途的注释
        """
        self.description = description

    def setRef(self, ref):
        """
        :param ref: (Optional) 短引用标记，用于快速选择相关规则。
        """
        self.ref = ref

