# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class AddTopicRequest(JDCloudRequest):
    """
    创建topic时，topicModel中只需要传topic参数，另外两个参数可为空
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(AddTopicRequest, self).__init__(
            '/regions/{regionId}/topic', 'POST', header, version)
        self.parameters = parameters


class AddTopicParameters(object):

    def __init__(self, regionId, topicModel):
        """
        :param regionId: 地域ID
        :param topicModel: 示例：{"topicModel":{"topic":{"archived":0,"id":"","name":"create","remark":"备注","shardNum":1,"partitionNum":2,"lifecycle":3}}}
        """

        self.regionId = regionId
        self.topicModel = topicModel

