# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class ReplicationTask(object):

    def __init__(self, taskId=None, targetType=None, replicationObjects=None, targetIP=None, targetPort=None, targetUser=None, kafkaTopic=None, kafkaVersion=None, targetComment=None, taskStatus=None, startTime=None, checkpointTime=None, createTime=None):
        """
        :param taskId: (Optional) 复制任务ID
        :param targetType: (Optional) 目标实例类型
        :param replicationObjects: (Optional) 复制的对象，格式为"库名.表名”，支持?* 通配符，例如 db1.* 、 db2.tab? ，*.* 表示复制整个实例
        :param targetIP: (Optional) 目标实例IP
        :param targetPort: (Optional) 目标实例端口
        :param targetUser: (Optional) 目标类型为TiDB或MySQL时，连接目标实例的用户名
        :param kafkaTopic: (Optional) Kafka的Topic
        :param kafkaVersion: (Optional) Kafka的版本
        :param targetComment: (Optional) 目标实例备注说明
        :param taskStatus: (Optional) 任务状态
        :param startTime: (Optional) 复制的起始时间
        :param checkpointTime: (Optional) Checkpoint时间
        :param createTime: (Optional) 任务创建时间
        """

        self.taskId = taskId
        self.targetType = targetType
        self.replicationObjects = replicationObjects
        self.targetIP = targetIP
        self.targetPort = targetPort
        self.targetUser = targetUser
        self.kafkaTopic = kafkaTopic
        self.kafkaVersion = kafkaVersion
        self.targetComment = targetComment
        self.taskStatus = taskStatus
        self.startTime = startTime
        self.checkpointTime = checkpointTime
        self.createTime = createTime
