# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModifyInstanceNetworkAttributeRequest(JDCloudRequest):
    """
    
修改云主机弹性网卡属性。

详细操作说明请参考帮助文档：[配置弹性网卡删除属性](https://docs.jdcloud.com/cn/virtual-machines/configurate-eni-delete-attributes)

## 接口说明
- 当前只支持修改随云主机实例删除的属性。
- 不支持修改主网卡。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModifyInstanceNetworkAttributeRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}:modifyInstanceNetworkAttribute', 'POST', header, version)
        self.parameters = parameters


class ModifyInstanceNetworkAttributeParameters(object):

    def __init__(self,regionId, instanceId, networks):
        """
        :param regionId: 地域ID。
        :param instanceId: 云主机ID。
        :param networks: 弹性网卡列表。
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.networks = networks

