# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UpdateVqdTemplateRequest(JDCloudRequest):
    """
    修改视频质检模板
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(UpdateVqdTemplateRequest, self).__init__(
            '/vqdTemplates/{templateId}', 'PUT', header, version)
        self.parameters = parameters


class UpdateVqdTemplateParameters(object):

    def __init__(self, templateId, ):
        """
        :param templateId: 模板ID，路径参数
        """

        self.templateId = templateId
        self.templateName = None
        self.threshold = None
        self.detections = None

    def setTemplateName(self, templateName):
        """
        :param templateName: (Optional) 模板名称。长度不超过128个字符。UTF-8编码。

        """
        self.templateName = templateName

    def setThreshold(self, threshold):
        """
        :param threshold: (Optional) 缺陷判定时间阈值
        """
        self.threshold = threshold

    def setDetections(self, detections):
        """
        :param detections: (Optional) 检测项列表
        """
        self.detections = detections

